
public class Equazioni {
	
	static public int numSolutions(int a, int b, int c){
		int delta = b*b-4*a*c;
		if (delta == 0)
			return 1;
		if (delta > 0)
			return 2;
		return 0;	
	}
	
	public static void main(String[] args) {
		System.out.println(numSolutions(0, 0, 0));
		
		System.out.println(numSolutions(4, 2, 0));
		
		System.out.println(numSolutions(1, 2, 1));
	}
}
